Main Page Groups Namespaces

# sigc::internal::signal_emit1< T_return, T_arg1, nil > Struct Template Reference

Abstracts signal emission. More...

List of all members.

## Public Types

typedef signal_emit1< T_return, T_arg1, nil > | self_type
typedef T_return | result_type
typedef slot<T_return, T_arg1> | slot_type
typedef signal_impl::const_iterator_type | iterator_type
typedef slot_type::call_type | call_type

## Static Public Member Functions

static result_type | emit (signal_impl* impl, typename type_trait<T_arg1>::take _A_a1)
| Executes a list of slots using an accumulator of type T_accumulator.
static result_type | emit_reverse (signal_impl* impl, typename type_trait<T_arg1>::take _A_a1)
| Executes a list of slots using an accumulator of type T_accumulator in reverse order.

## Detailed Description

### template <class T_return, class T_arg1>
struct sigc::internal::signal_emit1< T_return, T_arg1, nil >

Abstracts signal emission.

This template specialization implements an optimized emit() function for the case that no accumulator is used.

## Member Typedef Documentation

template <class T_return, class T_arg1>

typedef signal_emit1<T_return, T_arg1, nil > sigc::internal::signal_emit1<T_return, T_arg1, nil>::self_type

template <class T_return, class T_arg1>

typedef T_return sigc::internal::signal_emit1<T_return, T_arg1, nil>::result_type

template <class T_return, class T_arg1>

typedef slot<T_return, T_arg1> sigc::internal::signal_emit1<T_return, T_arg1, nil>::slot_type

template <class T_return, class T_arg1>

typedef signal_impl::const_iterator_type sigc::internal::signal_emit1<T_return, T_arg1, nil>::iterator_type

template <class T_return, class T_arg1>

typedef slot_type::call_type sigc::internal::signal_emit1<T_return, T_arg1, nil>::call_type

## Member Function Documentation

template <class T_return, class T_arg1>

static result_type sigc::internal::signal_emit1<T_return, T_arg1, nil>::emit | ( | signal_impl* | impl,
|  | typename type_trait<T_arg1>::take | _A_a1 |
| ) |  |  | `[inline, static]`

Executes a list of slots using an accumulator of type T_accumulator.

The arguments are passed directly on to the slots. The return value of the last slot invoked is returned.

Parameters:

  | first | An iterator pointing to the first slot in the list.
  | last | An iterator pointing to the last slot in the list.
  | _A_a1 | Argument to be passed on to the slots.

Returns:
  The return value of the last slot invoked.

template <class T_return, class T_arg1>

static result_type sigc::internal::signal_emit1<T_return, T_arg1, nil>::emit_reverse | ( | signal_impl* | impl,
|  | typename type_trait<T_arg1>::take | _A_a1 |
| ) |  |  | `[inline, static]`

Executes a list of slots using an accumulator of type T_accumulator in reverse order.

The arguments are passed directly on to the slots. The return value of the last slot invoked is returned.

Parameters:

  | first | An iterator pointing to the first slot in the list.
  | last | An iterator pointing to the last slot in the list.
  | _A_a1 | Argument to be passed on to the slots.

Returns:
  The return value of the last slot invoked.

The documentation for this struct was generated from the following file:

- signal.h